Name:		perl-List-MoreUtils-XS
Version:	0.418
Release:	2%{?dist}
Summary:	Provide compiled List::MoreUtils functions
# Code from List-MoreUtils < 0.417 is GPL+ or Artistic
# Anything after that is ASL 2.0
# "git blame" on the upstream repo will probably be needed to
# determine the license of any particular chunk of code
License:	(GPL+ or Artistic) and ASL 2.0
URL:		http://search.cpan.org/dist/List-MoreUtils/
Source0:	http://search.cpan.org/CPAN/authors/id/R/RE/REHSACK/List-MoreUtils-XS-%{version}.tar.gz
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl >= 4:5.16.0
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Config)
BuildRequires:	perl(constant)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::CBuilder)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(lib)
BuildRequires:	perl(PerlIO)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Text::ParseWords)
# Module Runtime
BuildRequires:	perl(List::MoreUtils) >= 0.418
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
BuildRequires:	perl(XSLoader)
# Test Suite
BuildRequires:	perl(overload)
BuildRequires:	perl(Storable)
BuildRequires:	perl(Test::Builder::Module)
BuildRequires:	perl(Test::LeakTrace)
BuildRequires:	perl(Test::More) >= 0.96
BuildRequires:	perl(Tie::Array)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(List::MoreUtils) >= 0.418

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module provides accelerated versions of functions in List::MoreUtils.

%prep
%setup -q -n List-MoreUtils-XS-%{version}

%build
perl Makefile.PL \
	INSTALLDIRS=vendor \
	OPTIMIZE="%{optflags}"\
	NO_PERLLOCAL=1 \
	NO_PACKLIST=1
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license ARTISTIC-1.0 GPL-1 LICENSE
%doc Changes README.md
%{perl_vendorarch}/auto/List/
%{perl_vendorarch}/List/
%{_mandir}/man3/List::MoreUtils::XS.3*

%changelog
* Thu Mar 30 2017 Paul Howarth <paul@city-fan.org> - 0.418-2
- Sanitize for Fedora submission

* Thu Mar 30 2017 Paul Howarth <paul@city-fan.org> - 0.418-1
- Initial RPM version
